Pass the data for processing

- « Parle\RLexer::callout

- Parle\RLexer::dump »

- PHP Manual
- Parle\RLexer
- Pass the data for processing

# Parle\RLexer::consume

(PECL parle >= 0.5.1)

Parle\RLexer::consume — Pass the data for processing

### Description

public Parle\RLexer::consume(string `$data`): void

Consume the data for lexing.

### Parameters

`data`

  Data to be lexed.

### Return Values

No value is returned.